module Go.Types exposing (..)
import Time exposing (Time)

type Color = White | Black
type alias Index = (Int, Int)
type alias Cell = (Index, Color)
type alias Board = List Cell
type alias Update = (Color, List Cell)

type alias Model = 
    { sessionColor : Color
    , sessionUrl : String
    , sessionId : String
    , sessionSize : Int

    , error : Maybe String
    , currentColor : Maybe Color
    , board : Board
    }

type alias Flags =
    { black : Bool
    , url : String
    , id : String
    , size : Int
    }

type Msg =
      Place Index
    | Update String
    | DismissError
